Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
executable file 49 lines (41 sloc) 2.142 kb
#!/usr/bin/env ruby -rubygems
# -*- encoding: utf-8 -*-
Gem::Specification.new do |gem|
gem.version = File.read('VERSION').chomp
gem.date = File.mtime('VERSION').strftime('%Y-%m-%d')
gem.name = 'sparql-client'
gem.homepage = 'http://ruby-rdf.github.com/sparql-client/'
gem.license = 'Public Domain' if gem.respond_to?(:license=)
gem.summary = 'SPARQL client for RDF.rb.'
gem.description = %(Executes SPARQL queries and updates against a remote SPARQL 1.0 or 1.1 endpoint,
or against a local repository. Generates SPARQL queries using a simple DSL.
Includes SPARQL::Client::Repository, which allows any endpoint supporting
SPARQL Update to be used as an RDF.rb repository.)
gem.rubyforge_project = 'sparql-client'
gem.authors = ['Arto Bendiken', 'Ben Lavender', 'Gregg Kellogg']
gem.email = 'public-rdf-ruby@w3.org'
gem.platform = Gem::Platform::RUBY
gem.files = %w(AUTHORS CREDITS README UNLICENSE VERSION) + Dir.glob('lib/**/*.rb')
gem.bindir = %q(bin)
gem.executables = %w()
gem.default_executable = gem.executables.first
gem.require_paths = %w(lib)
gem.extensions = %w()
gem.test_files = %w()
gem.has_rdoc = false
gem.required_ruby_version = '>= 1.9.3'
gem.requirements = []
gem.add_runtime_dependency 'rdf', '~> 1.1'
gem.add_runtime_dependency 'net-http-persistent', '~> 2.9'
gem.add_development_dependency 'sparql', '~> 1.1'
gem.add_development_dependency 'rdf-spec', '~> 1.1'
gem.add_development_dependency 'rspec', '~> 3.0'
gem.add_development_dependency 'rspec-its', '~> 1.0'
gem.add_development_dependency 'webmock', '~> 1.15'
gem.add_development_dependency 'yard' , '~> 0.8'
# Rubinius has it's own dependencies
if RUBY_ENGINE == "rbx" && RUBY_VERSION >= "2.1.0"
gem.add_runtime_dependency "json"
end
gem.post_install_message = nil
end
Jump to Line
Something went wrong with that request. Please try again.